Skip to content

Deny order refund

Request

Informs Keeta that the refund request has been denied and the order cannot be refunded.

It is expected to receive a REFUND_FAILED event after this action.



HOST: Keeta

DIRECTION:

Security
OAuth2(Required scopes: od.all) and Sig
Path
orderIdstringrequired

The unique identifier of the order. The order ID is generated by Keeta.

Bodyapplication/jsonrequired

Request for order cancellation has been denied.

reasonstringrequired

Reason for rejecting refund.

codestringrequired
Enum:"DISH_ALREADY_DONE""OUT_FOR_DELIVERY""OTHER"
curl -i -X POST \
  'https://open.mykeeta.com/api/open/opendelivery/v1/orders/{orderId}/rejectRefund' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -H 'X-App-Signature: YOUR_API_KEY_HERE' \
  -d '{
    "reason": "string",
    "code": "DISH_ALREADY_DONE"
  }'

Responses

Order refund has been denied. No response content.

Response
No content